body {
    font-family: 'Courier New', monospace;
    margin: 0;
    padding: 0;
    background-color: #fff;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
}

header {
    width: 100%;
    background-color: #000;
    padding: 20px 10px;
    position: fixed;
    top: 0;
    display: flex;
    align-items: center;
    box-shadow: 0 2px 2px rgba(0, 240, 0, 0.5);
}

.title {
    color: #0f0;
    padding-left: 4vw;
}

.title h1 {
    width: 0;
    overflow: hidden;
    white-space: nowrap;
    animation: typing 0.5s steps(20, end) forwards;
}

.title span {
    color: #0f0;
    font-size: 32px;
    animation: blink infinite;
    animation-duration: 1s;
}

nav {
    display: flex;
    gap: 6vh;
    margin-left: 6vw;
}

nav a {
    color: #fff;
    text-decoration: none;
    font-size: 20px;
    font-weight: bold;
}

nav a:hover {
    color: #090;
}

.active {
    text-decoration: underline;
    text-decoration-color: #0f0;
}

.active:hover {
    color: #090;
    text-decoration: line-through;
    text-decoration-color: #900;
}

.test {
    position: fixed;
    right: 3vw;
}

.test a {
    color: #f00;
    text-decoration: none;
    font-size: 1.1em;
    font-weight: bold;
    opacity: 0.2;
}

.test a:hover {
    color: #f00;
    opacity: 1;
}

.flags {
    position: fixed;
    top: 1vh;
    right: 1.5vw;
}

.flags img {
    max-height: 27px;
}

.flags img:hover {
    opacity: 75%;
}

span {
    color: #0f0;
    font-size: 20px;
    animation: blink infinite;
}

.ascii {
    position: fixed;
    bottom: 0;
    width: 100%;
    color: #fff;
    background-color: #000;
    font-size: 7px;
    font-weight: bold;
    box-shadow: 0 0 2px 2px rgba(0, 240, 0, 0.5);
}

.ascii a {
    color: #fff;
    white-space: pre;
}


/* animations */

@keyframes typing {
    from {
        width: 0;
    }
    to {
        width: 100%;
    }
}

@keyframes blink {
    from {
        opacity: 0;
    }
    to {
        opacity: 1;
    }
}


/* media queries */

/* iPhone Retina */
@media only screen and (min-width: 320px) and (max-width: 429px) {
    header {
        padding: 0px;
        flex-direction: column;
        justify-content: center;
    }

    nav {
        display: inline-block;
        padding: 5px;
    }

    nav a {
        font-size: 16px;
        margin: 0.7vh;
        line-height: 1.4;
    }

    .flags {
        position: fixed;
        top: 1vh;
        right: 1.5vw;
    }

    .flags img {
        max-height: 18px;
    }

    .test {
        position: fixed;
        top: 10.2cap;
    }

    .test a {
        font-size: 1em;
    }
}


/* General Phones */
@media only screen and (min-width: 430px) and (max-width: 767px) {
    header {
        padding: 0px;
        flex-direction: column;
        justify-content: center;
    }

    nav {
        display: inline-block;
        padding: 5px;
    }

    nav a {
        font-size: 16px;
        margin: 0.7vh;
        line-height: 1.4;
    }

    .flags {
        position: fixed;
        top: 1vh;
        right: 1.5vw;
    }

    .flags img {
        max-height: 22px;
    }

    .test {
        position: fixed;
        top: 10.2cap;
    }

    .test a {
        font-size: 15px;
    }

    .ascii {
        font-size: 8px;
    }
}

/* Tablets */
@media only screen and (min-width: 768px) and (max-width: 991px) {
    header {
        padding: 0px;
        flex-direction: column;
        justify-content: center;
    }

    nav {
        display: inline-block;
        padding: 5px;
    }

    nav a {
        font-size: 18px;
        margin: 0.7vh;
        line-height: 1.4;
    }

    .test {
        position: fixed;
        top: 7vh;
    }

    .test a {
        font-size: 1.2em;
    }

    .ascii {
        font-size: 8px;
    }
}


/* Large Tablets */
@media only screen and (min-width: 992px) and (max-width: 1199px) {
    header {
        padding: 0px;
        flex-direction: column;
        justify-content: center;
    }

    nav {
        display: inline-block;
        padding: 10px;
    }

    nav a {
        font-size: 1.5em;
        margin: 0.7vh;
        line-height: 1.4;
    }

    .test {
        position: fixed;
        top: 10.2cap;
    }

    .test a {
        font-size: 1.3em;
    }

    .ascii {
        font-size: 9px;
    }
}


/* Wide Screens */
@media only screen and (min-width: 1200px) {

}


/* Retina Macs */
@media
    only screen and (-webkit-min-device-pixel-ratio: 2),
    only screen and (   min--moz-device-pixel-ratio: 2),
    only screen and (     -o-min-device-pixel-ratio: 2/1),
    only screen and (        min-device-pixel-ratio: 2),
    only screen and (                min-resolution: 192dpi),
    only screen and (                min-resolution: 2dppx) {

}
